﻿using Gumini.JulaDB.Linq.Test.Domain;
using Gumini.JulaDB.Provider;

namespace Gumini.JulaDB.Linq.Test
{
    public class QueryableSources
    {
        private readonly JulaDbConnection _connection;

        public QueryableSources(JulaDbConnection connection)
	    {
            _connection = connection;
	    }

        public JulaQueryable<Person> Persons
        {
            get { return new JulaQueryable<Person>(_connection); }
        }

        public JulaQueryable<Customer> Customers
        {
            get { return new JulaQueryable<Customer>(_connection); }
        }

        public JulaQueryable<Order> Orders
        {
            get { return new JulaQueryable<Order>(_connection); }
        }

        public JulaQueryable<OrderItem> OrderItems 
        {
            get { return new JulaQueryable<OrderItem>(_connection); }
        }

        public JulaQueryable<Product> Products
        {
            get { return new JulaQueryable<Product>(_connection); }
        }
    }
}
