﻿
namespace Gumini.JulaDB.Enums
{
    public enum ErrorCode
    {
        Success = 0,
        UnknownDataType,
        DuplicateTableName,
        DuplicateColumnName,
        UnknownTable,
        UnknownIdentifier,
        AmbiguousIdentifier,
        InvalidConnectionState,
        InvalidConnectionString,
        SyntaxError,
        UnsupportedSyntax,
        InvalidIdentifier,
        UnsupportedOperator,
        TypeError,
        NumberOfColumnsDoesNotMatch,
        UnableToCompare,
        AsteriskNotAllowed,
        UnsupportedFunction,
        InvalidAggregateExpression,
        AggregateMismatch,
        ConnectionNotSet,
        CommandTextNotSet,
        OutOfMemory
    }
}
