﻿using System.Collections.Generic;
using System.Linq;
using Gumini.JulaDB.DataTypes;

namespace Gumini.JulaDB.Expressions.Functions
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    internal class AvgFunction : AggregateFunction
    {
        public AvgFunction()
            : base("avg") { }

        public override object Evaluate(List<TypedValue> values)
        {
            values = values.Where(v => !v.IsNull).ToList();
            if (values.Count == 0)
                return null;
            return values.Average(v => (decimal)DataType.Number.ConvertFrom(v.Value)); 
       } 

        public override DataType GetReturnType()
        {
            return DataType.Number;
        }
    }
}
