﻿using System;
using Gumini.JulaDB.Expressions;

namespace Gumini.JulaDB.Optimizer
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    internal class ColumnPair
    {
        public ColumnPair(Variable left, Variable right)
        {
            this.Left = left;
            this.Right = right;
        }

        public Variable Left { get; private set; }

        public Variable Right { get; private set; }

        public ColumnPair GetReversedPair()
        {
            return new ColumnPair(
                left: this.Right,
                right: this.Left);
        }

        public override string ToString()
        {
            return String.Format("{0} = {1}", this.Left, this.Right);
        }
    }
}
