﻿using System;

namespace Gumini.JulaDB.Planner
{
    public class OrderItem
    {
        public OrderItem(string columnName, SortDirection direction)
        {
            this.ColumnName = columnName;
            this.Direction = direction;
        }

        public string ColumnName { get; private set; }

        public SortDirection Direction { get; private set; }

        public override string ToString()
        {
            return String.Format("{0} {1}", ColumnName, Direction);
        }
    }
}
